//=============================================================================
// Effect.cpp
//=============================================================================
#include "Stdinc.h"
#include "Effect.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CEffect::CEffect(void)
	:m_nFlameCnt( 0 )
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CEffect::~CEffect(void)
{
}
//-----------------------------------------------------------------------------
// StartFadeout
//-----------------------------------------------------------------------------
void CEffect::StartFadeout( DWORD dwFadeColor, UINT nFameCnt )
{
	m_nStartFlameCnt = m_nFlameCnt = nFameCnt;
	m_dwFadeColor = dwFadeColor;

	m_nEffectType = EFFECT_TYPE_FADE_OUT;
}
//-----------------------------------------------------------------------------
// StartFadein
//-----------------------------------------------------------------------------
void CEffect::StartFadein( DWORD dwFadeColor, UINT nFameCnt )
{
	m_nStartFlameCnt = m_nFlameCnt = nFameCnt;
	m_dwFadeColor = dwFadeColor;

	m_nEffectType = EFFECT_TYPE_FADE_IN;
}

//-----------------------------------------------------------------------------
// FrameMove
//-----------------------------------------------------------------------------
void CEffect::FrameMove( void )
{
	if ( m_nFlameCnt <= 0 )
		return;

	m_nFlameCnt --;
}
//-----------------------------------------------------------------------------
// Render
//-----------------------------------------------------------------------------
void CEffect::Render( void )
{
	if ( m_nFlameCnt <= 0 )
		return;

	int nRate = (int)((double)m_nFlameCnt * 255.0 / (double)m_nStartFlameCnt);

	if ( m_nEffectType == EFFECT_TYPE_FADE_OUT )
	{
		nRate = 255 - nRate;
	}
	// uh[hݒ
	SetDrawBlendMode( DX_BLENDMODE_ALPHA, nRate );

	// ʑŜɋ``
	DrawBox( 0, 0, CANVAS_WIDTH+1, CANVAS_HEIGHT+1, m_dwFadeColor, TRUE );

	// uh[h߂
	SetDrawBlendMode( DX_BLENDMODE_NOBLEND , 255 );

}