//=============================================================================
// Effect.h
//=============================================================================
#pragma once

//-----------------------------------------------------------------------------
// CEffect
//-----------------------------------------------------------------------------
class CEffect
{
protected:
	int		m_nEffectType;

	DWORD	m_dwFadeColor;
	UINT	m_nFlameCnt;
	UINT	m_nStartFlameCnt;

public:
	CEffect(void);
	virtual ~CEffect(void);

	void StartFadeout( DWORD dwFadeColor, UINT nFameCnt );
	void StartFadein( DWORD dwFadeColor, UINT nFameCnt );

	void FrameMove( void ); 	// XV
	void Render( void );		// `

	BOOL IsExecuting( void ) const
	{	return m_nFlameCnt;	};
};
