#include "DxLib.h"
#include "Stdinc.h"
class FPSControl{
private:
    int frame_time; //1t[̎(~b)
    int wait_time; //҂
    int last_time , now_time ; //ŌɎ擾ԂƁC̎
    float count; //t[̃JEg
    float fps; //\邵FPSl
    int update_time; //\lXV鎞
    int last_update; //Ōɕ\lXV
    //`֌W̕ϐ
    int disp_x, disp_y;
    DWORD disp_color;
    //
    void Init(float RefreshRate , int UpdateTime){
        frame_time = (int)( 1000.0f/RefreshRate ); //1t[̎Ԃ̌vZ
        update_time = UpdateTime;
        wait_time = 0;
        last_time = now_time = 0;
        count = 0.0f;
        fps = 0.0f;
        last_update = 0;
        //`֌W
        disp_x = 0;
        disp_y = 0;
        disp_color = GetColor( 255 , 255 , 255 );
    }
public:
    //RXgN^
    FPSControl(float RefreshRate , int UpdateTime ){
        Init( RefreshRate , UpdateTime );
    }
    FPSControl(){
        Init( 60.0f , 800 );
    }
    //҂Ԃ̌vZ
    void Wait(){
        now_time = GetNowCount();
        wait_time = frame_time - ( now_time - last_time );
        if( wait_time > 0 ){ //҂Ԃ
            WaitTimer( wait_time ); //w莞ԑ҂
        }
    last_time = GetNowCount();
    }
    //FPSľvZ
    float Get(){
        count += 1.0f;
        if( update_time < ( last_time - last_update ) ){ //Abvf[gԂɂȂĂ
            fps = count / (float)( last_time - last_update ) * 1000.0f ; //FPSľvZ
            last_update = last_time;
            count = 0.0f;
        }
    return ( fps );
    }
    //`揈
    void Disp(){
        DrawFormatString( disp_x , disp_y , disp_color , "[%0.1f]" , fps );
    }
    //܂Ƃ߂
    float All(){
        Get();
        Wait();
        Disp();
        return ( fps );
    }
    //`ݒ̕ύX
    void SetDisp(int x , int y , DWORD color ){
        disp_x = x;
        disp_y = y;
        disp_color = color;
    }
};