//=============================================================================
// GameConst.h
//=============================================================================
#pragma once

// Q[[h
enum {
	MODE_TITLE = 0,	// ^Cg
	MODE_MAP,		// n}ړ
	MODE_EVENT,		// Cxg
};

const int GAME_FLAG_MAX = 1024;		// Q[tO
const int TREASURE_FLAG_MAX = 1024;	// /tB[hACetO
// 
enum {
	DIRECTION_D = 0,	// 
	DIRECTION_L,		// 
	DIRECTION_U,		// 
	DIRECTION_R,		// E
	DIRECTION_MAX
};

// v[
const int PLAYER_COUNT_MAX = 4;
const int CURRENT_DISP = 0;

// GtFNg^Cv
enum {
	EFFECT_TYPE_FADE_IN = 0,	// tF[hC
	EFFECT_TYPE_FADE_OUT,		// tF[hAEg
};

// EGCgXe[^X
enum {
	WAIT_STS_NONE = 0,			// ҂
	WAIT_STS_SCR_MESSAGE_WND,	// bZ[WEBhE
	WAIT_STS_SCR_EFFECT,		// GtFNgI҂
	WAIT_STS_MAP_CHANGE,		// }bv֑ؑ҂
	WAIT_STS_MAP_SCROLL,		// }bvXN[҂
	WAIT_STS_MAPOBJ_ACTION,		// }bvIuWFNgANV҂
	WAIT_STS_FRAME,				// t[JE^҂
};

// ACe
const int ITEM_NAME_LEN_MAX = 16;		// ACe ő啶
const int ITEM_DESC_LEN_MAX = 256;		// ACe ő啶

// ACe^Cv
enum {
	ITEM_TYPE_NORMAL = 0,		// ʏACe
	ITEM_TYPE_IMPORTANT,		// 厖Ȃ
	ITEM_TYPE_EQUIP,			// i
	ITEM_TYPE_MAGIC,			// @
};
// \ꏊ
enum {
	EQUIP_POS_NONE = 0,			// s\		:0
	EQUIP_POS_DOMINANT,			// 		:1
	EQUIP_POS_NON_DOMINANT,		// 񗘂		:2
	EQUIP_POS_ANY_HAND,			// ǂł	:3
	EQUIP_POS_TWOHAND,			// 			:4
	EQUIP_POS_HEAD,				// 			:5
	EQUIP_POS_ARM,				// r			:6
	EQUIP_POS_BODY,				// 			:7
	EQUIP_POS_LEG,				// 			:8
	EQUIP_POS_ACCESSORY,		// ANZT	:9
};

// ꏊ
enum {
	CHR_POS_DOMINANT = 0,		// 		:0
	CHR_POS_NON_DOMINANT,		// 񗘂		:1
	CHR_POS_HEAD,				// 			:2
	CHR_POS_ARM,				// r			:3
	CHR_POS_BODY,				// 			:4
	CHR_POS_LEG,				// 			:5
	CHR_POS_ACCESSORY1,			// ANZT1	:6
	CHR_POS_ACCESSORY2,			// ANZT2	:7

	CHR_POS_MAX
};

// i
enum {
	EQUIP_ITEM_TYPE_NONE = 0,		// 

	// h
	EQUIP_ITEM_TYPE_HIDE,			// 琻i

	// 
	EQUIP_ITEM_TYPE_SHORT_SWORD,	// Z
	EQUIP_ITEM_TYPE_LONG_SWORD,		// 
	EQUIP_ITEM_TYPE_WAND,			// 
	EQUIP_ITEM_TYPE_ROD,			// bh
};

// bp^
typedef struct {
	int		nMaxHP;				// ς_[W
	int		nMaxMP;				// ς_[W
	int		nStrength;			// 
	int		nVitality;			// ̗
	int		nSpeed;				// f
	int		nIntellect;			// 
	int		nPiety;				// _
	int		nLuck;				// ^
} BASE_PARAM;

// p^
typedef struct {
	int		nAttack;			// U
	int		nDefence;			// h
	int		nMagicDef;			// @h
	int		nParry;				// 
	int		nMagicPar;			// @
	int		nWeight;			// d
	int		nHitRate;			//  (%)
} PARAM;