//=============================================================================
// MsgWindow.h
//=============================================================================
#pragma once
#include "framewindow.h"

class CManipulator;
class CScriptManager;
//-----------------------------------------------------------------------------
// CMsgWindow
//-----------------------------------------------------------------------------
class CMsgWindow : public CFrameWindow
{
protected:

	BOOL	m_bWaitNext;
	int		m_nLineCnt;

	// \Ă镶 (sP)
	char m_szDisplayMsg[DISPLAY_MESSAGE_LINE_MAX][DISPLAY_MESSAGE_LEN_MAX+1];

	// \ׂ
	char m_szMsg[DISPLAY_MESSAGE_LINE_MAX][DISPLAY_MESSAGE_LEN_MAX+1];

	// tRs[
	int CopyWidthLimitString( char *pDst,  const char *pSrc, int nLen );

	// sRs[
	int DivCopyToMsgBuf( const char *pSrc, int nLineCnt = 0 );
	void SetDispMsgBuff( void );

public:
	CMsgWindow(void);
	virtual ~CMsgWindow(void);
	BOOL IsMenu( void ) const	// j[邩
	{	return FALSE;	};

	void ShowWindow( BOOL bFlag );

	void Render( void );	// _O
	void FrameMove( const CManipulator *pMani, CScriptManager *pScrMan = NULL );

	// bZ[Wݒ
	void SetMessage( const char *pMsg );
	void AddMessage( const char *pMsg );
	BOOL IsWaitNext( void ) const
	{	return m_bWaitNext && IsShow();	};
};

