//=============================================================================
// PlayerChar.h
//=============================================================================
#pragma once
#include <list>
#include "characterobject.h"

class CManipulator;
class CMapManager;
class CEquipItem;

//-----------------------------------------------------------------------------
// CPlayerChar
//-----------------------------------------------------------------------------
class CPlayerChar :	public CCharacterObject
{
protected:

	BASE_PARAM	m_BasePram;				// x[Xp^
	PARAM		m_Param;				// p^

	CEquipItem	*m_pEquip[CHR_POS_MAX];	// i

public:
	CPlayerChar(void);
	virtual ~CPlayerChar(void);

	// 
	BOOL Create( int nID, int nPicID );

	// XV
	void FrameMove( const CManipulator *pMani, CMapManager *pMapMan );
	// L[ȂXV
	void FrameMove( CMapManager *pMapMan );

	// 
	BOOL SetEquipItem( CEquipItem *pEquip, int nChrPos = CHR_POS_MAX );

};

