//=============================================================================
// Flag.cpp
//=============================================================================
#include "Stdinc.h"
#include "Flag.h"
#include "CSVString.h"

//-----------------------------------------------------------------------------
// [ static ] GetTreasureFlagIndex
//-----------------------------------------------------------------------------
int CFlag::GetTreasureFlagIndex( int nMapID, int nEventID )
{
	typedef struct {
		int nIndex;
		int nMapID;
		int nEventID;
	}stTreasureData;

	char szLine[32*1024];
	char szFileName[MAX_PATH];
	FILE *fp;

	sprintf_s( szFileName, sizeof(szFileName), "%s\\%s", TREASURE_DATA_DIR, TREASURE_DATA_CSV_FILE_NAME );
	//  Item.csv
	if ( fopen_s( &fp, szFileName, "r" ) != 0 )
	{
		CSysError::Msg("t@Cǂݍݎs [%s]", szFileName);
		return FALSE;
	}
	// 1,2sڂ xs
	fgets( szLine, sizeof(szLine), fp );
	fgets( szLine, sizeof(szLine), fp );

	// 3sڂf[^
	BOOL bFound = FALSE;
	stTreasureData TreasureData;
	RtlZeroMemory( &TreasureData, sizeof(TreasureData) );

	while ( fgets( szLine, sizeof(szLine), fp ) )
	{
		LPCSTR pPtr = szLine;

		// Index
		TreasureData.nIndex = CCSVString::GetNextInt( pPtr );
		// MapID
		TreasureData.nMapID = CCSVString::GetNextInt( pPtr );
		// EventID
		TreasureData.nEventID = CCSVString::GetNextInt( pPtr );

		if ( TreasureData.nMapID == nMapID && TreasureData.nEventID == nEventID )
		{
			bFound = TRUE;
			break;
		}
	}
	fclose( fp );

	if ( !bFound )
	{	return -1; }

	return TreasureData.nIndex;
}
