//=============================================================================
// FrameWindow.h
//=============================================================================
#pragma once

#include "Drawable.h"
//-----------------------------------------------------------------------------
// CFrameWindow
//-----------------------------------------------------------------------------
class CFrameWindow : public CDrawable
{
	enum {
		L_T_CORNER = 0,	// 
		R_T_CORNER,		// E
		L_B_CORNER,		// 
		R_B_CORNER,		// E
		T_SIDE,			// 
		B_SIDE,			// 
		L_SIDE,			// 
		R_SIDE,			// E
		BACK_GROUND,	// wi
	};

protected:
	int		m_nPosX;		// EBhEʒuX
	int		m_nPosY;		// EBhEʒuY
	int		m_nWidth;		// EBhE
	int		m_nHeight;		// EBhE
	int		m_nHandle[FRAME_CHIP_COUNT];	// t[`bv摜nh

	int		m_nFrameCnt;	// t[JE^
	int		m_bProgressVisible;	// t[I\邩 \ɂ邩

	void CreateBackGroundGraph( void );		// wi摜쐬


public:

	CFrameWindow(void);
	virtual ~CFrameWindow(void);

	// 
	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight );
	virtual void Delete( void );

	// _O
	virtual void Render( void );
	virtual void FrameMove( void );

	// j[邩ۂ
	virtual BOOL IsMenu( void ) const = 0;

	BOOL IsShow( void ) const
	{	return (m_bIsVisible || m_bProgressVisible);	};

	void ShowWindow( BOOL bFlag );

};
