//=============================================================================
// PlayerChar.cpp
//=============================================================================
#include "Stdinc.h"
#include "PlayerChar.h"
#include "Manipulator.h"
#include "MapManager.h"
#include "Item.h"
//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CPlayerChar::CPlayerChar(void)
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CPlayerChar::~CPlayerChar(void)
{
}
//-----------------------------------------------------------------------------
// Create
//-----------------------------------------------------------------------------
BOOL CPlayerChar::Create( int nID, int nPicID )
{
	// 
	BOOL bRet = CCharacterObject::Create( nID, nPicID );

	// ʒu
	SetPosTile( SCREEN_CENTER_TILE_X, SCREEN_CENTER_TILE_Y, DIRECTION_U );

	// i
	RtlZeroMemory( m_pEquip, sizeof(m_pEquip) );


	return bRet;
}

//-----------------------------------------------------------------------------
// XV
//-----------------------------------------------------------------------------
void CPlayerChar::FrameMove( const CManipulator *pMani, CMapManager *pMapMan  )
{
	CCharacterObject::FrameMove();

	if ( !pMapMan->IsScrolling() )
	{
		// 
		if ( pMani->IsKeyPushed( KEY_INPUT_UP ) )
		{
			m_nDirection = DIRECTION_U;
		}
		else if ( pMani->IsKeyPushed( KEY_INPUT_DOWN ) )
		{
			m_nDirection = DIRECTION_D;
		}
		else if ( pMani->IsKeyPushed( KEY_INPUT_LEFT ) )
		{
			m_nDirection = DIRECTION_L;
		}
		else if ( pMani->IsKeyPushed( KEY_INPUT_RIGHT ) )
		{
			m_nDirection = DIRECTION_R;
		}

		// {^
		if ( pMani->CheckKey( KEY_INPUT_X ) )
		{
			// Ă
			pMapMan->NotifyDecideKey( m_nDirection );
		}

	}
	// sAj (ToDo: 蕨̎lȂ)
	m_nState = ( abs(pMapMan->GetScrollOffset()) % MAP_CHIP_SIZE) / 4;
}
//-----------------------------------------------------------------------------
// L[`FbNȂXV
//-----------------------------------------------------------------------------
void CPlayerChar::FrameMove( CMapManager *pMapMan )
{
	// sAj (ToDo: 蕨̎lȂ)
	m_nState = ( abs(pMapMan->GetScrollOffset()) % MAP_CHIP_SIZE) / 4;
}
//-----------------------------------------------------------------------------
// 
// nChrPos == CHR_POS_MAX ͎
//-----------------------------------------------------------------------------
BOOL CPlayerChar::SetEquipItem( CEquipItem *pEquip, int nChrPos /*= CHR_POS_MAX */  )
{
	int nSetTo = nChrPos;
	if ( nChrPos == CHR_POS_MAX )
	{
		nSetTo = CEquipItem::GetCharPosFromEquipPos( pEquip->nEquipPos );
	}

	// ێ
	m_pEquip[nSetTo] = pEquip;
	printf("[%s]𑕔\n", m_pEquip[nSetTo]->szName );

	return TRUE;
}
